<?php

$view

->set('name', 'index')

->fetch(array('link@href', 1),      Dever::assets("global.css"))
->fetch(array('link@href', 2),      Dever::assets('<{(isset($name) ? $name : "index")}>.css', "css"))
->fetch(array('script@src', 1),     Dever::assets('global.js'))
->fetch(array('script@src', 2),     Dever::assets('<{(isset($name) ? $name : "index")}>.js', 'js'))

->import('inc/head')

->fetch(array('.ad', 0), '<{Dever::load("main/content.getAd", "首页精选下侧广告位1200X180")}>')
->fetch(array('.ad', 1), '<{Dever::load("main/content.getAd", "首页时装右侧广告位380X458")}>') 

# 焦点图
->loop
(
    '.index-slide .swiper-slide',
    'main/content.focus',
    array
    (
        'a' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
        ),

        'img' => array
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),
    )
)

# 精选
->loop
(
    '#jignxuan li',
    'main/content.getPush|key=jingxuan&name=首页精选&num=6',
    array
    (
        'a' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
        ),

        'img' => array
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),

        'p' => array
        (
            'html' => '$v.name',
        ),
    )
)


# 独家策划
->loop
(
    '#dujia li',
    'main/content.getPush|key=dujia&name=独家策划&num=6',
    array
    (
        'self' => array
        (
            'html' => '$v.name',
            'class' => '<{$k == 0 ? "active" : ""}>'
        ),
    )
)
->loop
(
    '#dujia .swiper-slide',
    'main/content.getPush|key=dujia&name=独家策划&num=6',
    array
    (
        'a' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
        ),

        'img' => array
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),
    )
)

# 精彩Top
->loop
(
    '.top-module li',
    'main/content.getPush|key=top&name=精彩TOP&num=7',
    array
    (
        'em' => array
        (
            'html' => '$k+1',
        ),

        'a' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
            'target' => '_blank',
            'html' => '$v.name',
        ),
    )
)

# 时装
->loop
(
    '.fashion-module li',
    'main/content.getList|cate_id=1&num=4',
    array
    (
        'a' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
        ),

        'img' => array
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),

        'span' => array
        (
            'html' => '$v.name',
        ),
    )
)

# 美容
->loop
(
    '#beauty li',
    'main/content.getList|cate_id=2&num=6',
    array
    (
        'a' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
        ),

        'img' => array
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),

        'p' => array
        (
            'html' => '$v.name',
        ),
    )
)

# 秀场
->loop
(
    '.runway-wrapper li',
    'main/content.getPush|key=show&name=首页秀场推荐&num=6',
    array
    (
        'a' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
        ),

        'img' => array
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),

        'span' => array
        (
            'html' => '$v.name',
        ),
    )
)

# 娱乐
->loop
(
    '.star-module dl',
    'main/content.getList|cate_id=3&num=3',
    array
    (
        'a|0' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
        ),

        'a|1' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
            'html' => '$v.name',
        ),

        'img' => array
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),

        'p' => array
        (
            'html' => '$v.desc',
        ),
    )
)

# 首页杂志
->loop
(
    '.recommend-module li',
    'main/content.getPush|key=mag&name=首页杂志&num=4',
    array
    (
        'a' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
        ),

        'img' => array
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),

        'span' => array
        (
            'html' => '$v.name',
        ),
    )
)

# 首页微信
->loop
(
    '.wechats dl',
    'main/content.getPush|key=wechat&name=首页微信&num=4',
    array
    (
        'img' => array
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),

        'h4' => array
        (
            'html' => '$v.name',
        ),
    )
)

->fetch('.mask@style',    'display:none;')      

->import('inc/foot')

->display();  